Bug 1316875 - Odata translator ClassNotFoundException: com.sun.ws.rs.ext.RuntimeDelegateImpl
Odata translator ClassNotFoundException: com.sun.ws.rs.ext.RuntimeDelegateImpl
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Filip Elias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 06:22 EST by Jan Stastny
Modified: 2016-08-24 07:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:39:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4066 Major Closed Odata translator ClassNotFoundException: com.sun.ws.rs.ext.RuntimeDelegateImpl 2016-06-15 08:30 EDT

  None (edit)
Description Jan Stastny 2016-03-11 06:22:55 EST
Description of problem:
There is problem with odata translator. See attached JIRA.
Comment 1 Van Halbert 2016-03-18 15:35:48 EDT
Jan,

If you can tell me what exactly was changed that fixed the issue for you, I'll be glad to create the PR for this.

Thanks.

Van
Comment 2 Jan Stastny 2016-03-21 03:36:01 EDT
In module JBOSS_HOME/modules/system/layers/dv/org/jboss/teiid/translator/odata/main/module.xml I changed a line in <dependencies> element from:
<module name="javax.ws.rs.api"/>
to:
<module name="javax.ws.rs.api" services="export"/>

as proposed by comment in TEIID-4066.
Comment 3 JBoss JIRA Server 2016-03-21 10:36:01 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4066 to Resolved
Comment 5 JBoss JIRA Server 2016-06-15 08:14:43 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4066 to Closed

Note You need to log in before you can comment on or make changes to this bug.